Jifty::Action::Record::Update(3)

NAME
Jifty::Action::Record::Update - Automagic update action

DESCRIPTION
This class is used as the base class for Jifty::Actions that are merely updating Jifty::Record objects. To use it, subclass it and override the "record_class" method to return the name of the Jifty::Record subclass that this action should update.

METHODS

  arguments
Overrides the "arguments" in Jifty::Action::Record method to further specify that all of the primary keys must have values when submitted; that is, they are constructors.

  validate_arguments
We only need to validate arguments that got submitted -- thus, a mandatory argument that isn't submitted isn't invalid, as it's not going to change the record. This is opposed to the behavior inherited from Jifty::Action, where mandatory arguments must be present for the action to run.

However, constructor arguments are still required.

  take_action
Overrides the virtual "take_action" method on Jifty::Action to call the appropriate "Jifty::Record"'s "set_" methods when the action is run, thus updating the object in the database.

  report_success
Sets the "message" in Jifty::Result to default success message, "Updated". Override this if you want to report some other more user-friendly result.

  possible_columns
Update actions do not provide fields for columns marked as "private" or "protected".

  _extra_validator_args
Passes "for => 'update'" to validators.

  _extra_canonicalizer_args
Passes "for => 'update'" to canonicalizers.

  _extra_autocompleter_args
Passes "for => 'update'" to autocompleters.

SEE ALSO
Jifty::Action::Record, Jifty::Record

LICENSE
Jifty is Copyright 2005-2010 Best Practical Solutions, LLC. Jifty is distributed under the same terms as Perl itself.